//project Billy is a project by Josien Vos (GI1B, January 2017)
class Target {
  float xPos, yPos, howBig, spd, lvl, playerDistance;
  float xSpd, ySpd, pi;
  
  Target (float x, float y, float targetSize, float level) {
    howBig = targetSize;
    spd = (level-1)/4*player.howBig/20;
    lvl = level;
    xPos = x;
    yPos = y;
    
    pi = 3.14159265359; //should be accurate enough. it's not like i'm doing science here. just need to shoot 'em targets, eh?
    
    //determine the direction and speed
    playerDistance = dist(xPos, yPos, player.xPos, player.yPos);
    xSpd = -abs(xPos-player.xPos)/playerDistance*spd;
    ySpd = -(yPos-player.yPos)/playerDistance*spd;
    lvl = sqrt(lvl);
  }
  
  void update() {
    xPos += xSpd;
    yPos += ySpd;
  }
  
  void display() {
    //draw the targets using ellipses alternating red and white
    noStroke();
    for (int i = 0; i < 4; i++) {
      fill(250,0,0);
      ellipse(xPos, yPos, howBig-howBig/5*i, howBig-howBig/5*i);
      fill(250);
      ellipse(xPos,yPos, howBig-howBig/5*(i+0.5), howBig-howBig/5*(i+0.5));
    }
  }
}